[arch-commits] Commit in xalan-java/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Aug 2 10:54:59 EDT 2008


    Date: Saturday, August 2, 2008 @ 10:54:58
  Author: jgc
Revision: 7492

upgpkg: xalan-java 2.7.1-2
    Remove file conflicts with xerces

Modified:
  xalan-java/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-02 14:43:44 UTC (rev 7491)
+++ PKGBUILD	2008-08-02 14:54:58 UTC (rev 7492)
@@ -1,3 +1,5 @@
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=xalan-java
@@ -2,14 +4,16 @@
 pkgver=2.7.1
-pkgrel=1
-pkgdesc="Xalan-Java is an XSLT processor for transforming XML documents into HTML, text, or other XML document types."
+pkgrel=2
+pkgdesc="XSLT processor for transforming XML documents into HTML, text, or other XML document types"
 arch=('i686' 'x86_64')
 license=('APACHE')
 url="http://xml.apache.org/xalan-j"
-depends=('java-runtime' 'java-xerces2')
+depends=('xerces2-java')
 source=(http://www.apache.org/dist/xml/xalan-j/xalan-j_${pkgver//./_}-bin-2jars.tar.gz)
 md5sums=('3ccda39bcd08b780436dfd2f22fb23d5')
 
 build() {
-  mkdir -p ${startdir}/pkg/usr/share/java
-  install -m644 ${startdir}/src/xalan-j_${pkgver//./_}/*.jar ${startdir}/pkg/usr/share/java/
+  cd ${srcdir}/xalan-j_${pkgver//./_}
+  install -m755 -d ${pkgdir}/usr/share/java
+  install -m644 xalan.jar ${pkgdir}/usr/share/java/ || return 1
+  install -m644 xsltc.jar ${pkgdir}/usr/share/java/ || return 1
 }




More information about the arch-commits mailing list